Fetch a deployment to poll its status during a deploy.
curl --request GET \
--url https://api.zavu.dev/v1/functions/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'{
"deployment": {
"id": "fnd_abc123",
"functionId": "<string>",
"version": 123,
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"sourceCodeBytes": 123,
"bundleBytes": 123,
"errorMessage": "<string>",
"deployedAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.zavu.dev/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.zavu.dev/v1/functions/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'{
"deployment": {
"id": "fnd_abc123",
"functionId": "<string>",
"version": 123,
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"sourceCodeBytes": 123,
"bundleBytes": 123,
"errorMessage": "<string>",
"deployedAt": "2023-11-07T05:31:56Z"
}
}